package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/PrepareQueryAccountOverviewAction.class */
public class PrepareQueryAccountOverviewAction extends LifeAction {
    private String iCollName;
    private String iCareAcc;
    public static final String NULL_RETURN_VALUE = "-1";

    public String execute(Context context) throws GENEException {
        IndexedCollection accountIcoll = (IndexedCollection) context.getParent().getDataElement("iAccountInfo");
        IndexedCollection sendIcoll = (IndexedCollection) context.getDataElement(this.iCollName);
        if (this.iCareAcc == null) {
            return prepareAll(accountIcoll, sendIcoll);
        }
        return prepareCare(accountIcoll, sendIcoll, (IndexedCollection) context.getDataElement(this.iCareAcc));
    }

    public String prepareAll(IndexedCollection accountIcoll, IndexedCollection sendIcoll) throws GENEException {
        for (int i = 0; i < accountIcoll.size(); i++) {
            KeyedCollection kColl = accountIcoll.getElementAt(i);
            KeyedCollection sendKcoll = sendIcoll.getDataElement();
            sendKcoll.setDataValue("accountNo", kColl.getDataValue("accountNo"));
            sendKcoll.setDataValue("accountType", kColl.getDataValue("accountType"));
            sendKcoll.setDataValue("accountAlias", kColl.getDataValue("accountAlias"));
            sendIcoll.addDataElement((KeyedCollection) sendKcoll.clone());
        }
        return "0";
    }

    public String prepareCare(IndexedCollection accountIcoll, IndexedCollection sendIcoll, IndexedCollection careIcoll) throws GENEException {
        for (int i = 0; i < accountIcoll.size(); i++) {
            KeyedCollection kColl = accountIcoll.getElementAt(i);
            KeyedCollection sendKcoll = sendIcoll.getDataElement();
            for (int j = 0; j < careIcoll.size(); j++) {
                KeyedCollection careKColl = careIcoll.getElementAt(j);
                String account = kColl.getDataValue("accountNo").toString();
                String careAccount = careKColl.getDataValue("accountNo").toString();
                if (account.equals(careAccount)) {
                    sendKcoll.setDataValue("accountNo", kColl.getDataValue("accountNo"));
                    sendKcoll.setDataValue("accountType", kColl.getDataValue("accountType"));
                    sendKcoll.setDataValue("accountAlias", kColl.getDataValue("accountAlias"));
                    sendIcoll.addDataElement((KeyedCollection) sendKcoll.clone());
                }
            }
        }
        if (sendIcoll.size() == 0) {
            return "-1";
        }
        return "0";
    }

    public String getICollName() {
        return this.iCollName;
    }

    public void setICollName(String collName) {
        this.iCollName = collName;
    }

    public String getICareAcc() {
        return this.iCareAcc;
    }

    public void setICareAcc(String careAcc) {
        this.iCareAcc = careAcc;
    }
}
